Skip to main content
`Ctrl`+`K`

# MatSTRUMPACKSetCompButterflyLevels

Set STRUMPACK https://portal.nersc.gov/project/sparse/strumpack/master number of butterfly levels in HODLR compression (requires ButterflyPACK support)

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSTRUMPACKSetCompButterflyLevels(Mat F, PetscInt bfly_lvls)

Logically Collective

## Input Parameters

- F - the factored matrix obtained by calling `MatGetFactor()` from PETSc-STRUMPACK interface

- bfly_lvls - Number of levels of butterfly compression in HODLR compression

## Options Database Key

- -mat_strumpack_compression_butterfly_levels <bfly_lvls> - Number of levels in the hierarchically off-diagonal matrix for which to use butterfly, when using `-pctype ilu`, (BLR_)HODLR compression

## See Also

`MATSOLVERSTRUMPACK`, `MatGetFactor()`, `MatSTRUMPACKGetCompButterflyLevels()`

## Level

intermediate

## Location

src/mat/impls/aij/mpi/strumpack/strumpack.c

## Implementations

MatSTRUMPACKSetCompButterflyLevels_STRUMPACK() in src/mat/impls/aij/mpi/strumpack/strumpack.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages